total rebase
[anni] / tools / check-changelog
diff --git a/tools/check-changelog b/tools/check-changelog
new file mode 100644 (file)
index 0000000..d053ed5
--- /dev/null
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+echo "looking for change log"
+
+git remote add upstream https://git.pleroma.social/pleroma/pleroma.git
+git fetch upstream ${CI_MERGE_REQUEST_TARGET_BRANCH_NAME}:refs/remotes/upstream/$CI_MERGE_REQUEST_TARGET_BRANCH_NAME
+
+git diff --raw --no-renames upstream/$CI_MERGE_REQUEST_TARGET_BRANCH_NAME HEAD -- changelog.d | \
+    grep ' A\t' | grep '\.\(skip\|add\|remove\|fix\|security\|change\)$'
+ret=$?
+
+if [ $ret -eq 0 ]; then
+    echo "found a changelog entry"
+    exit 0
+else
+    echo "changelog entry not found"
+    exit 1
+fi